net.sf.jlinkgrammar

## Class Exp

- java.lang.Object
- - net.sf.jlinkgrammar.Exp

-     public class Exp
      extends java.lang.Object

  TODO add javadoc The E_list an Exp structures defined below comprise the expression trees that are stored in the dictionary. The expression has a type (AND, OR or TERMINAL). If it is not a terminal it has a list (an EList) of children.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `cost`
    `(package private) char` | `dir`
    `(package private) ExpList` | `l`
    `(package private) boolean` | `multi`
    `(package private) Exp` | `next`
    `(package private) java.lang.String` | `string`
    `(package private) int` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exp()`
    `Exp(Exp e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static boolean` | `and_purge_ExpList(ExpList l)`
    `(package private) Clause` | `build_Clause(int cost_cutoff)`
    `(package private) void` | `build_connector_set_from_expression(ConnectorSet conset)`
    `(package private) TConnector` | `build_terminal()`
    `(package private) ConnectorSet` | `connector_set_create()`
    `(package private) static Exp` | `copy_Exp(Exp e)`
    `(package private) void` | `insert_connectors(int dir)`
    `(package private) int` | `mark_dead_connectors(Sentence sent, char d)`
    `(package private) ExpList` | `or_purge_ExpList(ExpList l)`
    `(package private) Exp` | `purge_Exp()`
    `(package private) int` | `size_of_expression()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          int type

    - #### cost

          int cost

    - #### dir

          char dir

    - #### multi

          boolean multi

    - #### l

          ExpList l

    - #### string

          java.lang.String string

    - #### next

          Exp next

  - ### Constructor Detail

    - #### Exp

          Exp(Exp e)

    - #### Exp

          Exp()

  - ### Method Detail

    - #### build_Clause

          Clause build_Clause(int cost_cutoff)

    - #### build_terminal

          TConnector build_terminal()

    - #### size_of_expression

          int size_of_expression()

    - #### insert_connectors

          void insert_connectors(int dir)

    - #### mark_dead_connectors

          int mark_dead_connectors(Sentence sent,
                                 char d)

    - #### purge_Exp

          Exp purge_Exp()

    - #### and_purge_ExpList

          static boolean and_purge_ExpList(ExpList l)

    - #### or_purge_ExpList

          ExpList or_purge_ExpList(ExpList l)

    - #### copy_Exp

          static Exp copy_Exp(Exp e)

    - #### connector_set_create

          ConnectorSet connector_set_create()

    - #### build_connector_set_from_expression

          void build_connector_set_from_expression(ConnectorSet conset)